<#ibizinclude>
../@MACRO/CONTROL/CONTROL_HEADER.tsx.ftl
</#ibizinclude>

    /**
     * 接口实现
     *
     * @returns {any[]}
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    getDatas(): any[] {
        if (!this.data) {
            return [];
        }
        return [this.data];
    }
    getData() {
        return this.data;
    }

    /**
     * 面板数据对象
     *
     * @type {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    @Prop() public data?: any;

    <#if ctrl.getAllPSPanelItems()??>
    <#list ctrl.getAllPSPanelItems() as panelItem>
    <#if panelItem.getItemType() == "BUTTON">
	/**
	 * 面板 ${panelItem.getCaption()} 事件
	 *
	 * @memberof @memberof ${srfclassname('${ctrl.codeName}')}
	 */
    public ${panelItem.getName()}_click($event: any): void {
        <#if panelItem.getPSUIAction?? && panelItem.getPSUIAction()??>
        <#assign uiaction = panelItem.getPSUIAction()>
        this.${ctrl.name}_${panelItem.getName()}_click(null, null, $event);
        </#if>

    }
    </#if>
    </#list>
    </#if>

    /**
     * 内容绘制
     *
     * @param {CreateElement} h
     * @returns
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public render(h: CreateElement) {
        return (${P.getPartCode(item,'PANEL').code});
    }
}
